<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorator="layouts/login">
<head>
    <title th:text="#{meta.title.mainPage}"></title>
    <link rel="stylesheet" th:href="@{/css/login.css}"/>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"/>
</head>
<body>
<th:block layout:fragment="container">

    <div id="main-section" class="container-fluid">
        <div class="row login-form">
            <div class="col-md-4 col-md-offset-4">
                <div class="row main-page">
                    <div class="col-md-12">
                        <a href="/" class="logo"></a>
                        <p class="beta" th:text="#{main.beta}"></p>
                        <h1 class="desc" th:text="#{main.desc}"></h1>
                        <form action="/signin/facebook" method="POST">
                            <input type="hidden" name="scope" value="email"/>
                            <a href="#gotopage" class="button submit">
                                <span th:text="#{main.button.login}"></span>
                                <i class="fa fa-facebook-f"></i>
                            </a>
                        </form>
                        <a href="#intro-section" class="more-details" th:text="#{main.button.more}"></a>
                        <a href="#intro-section" class="more-details glyphicon glyphicon-menu-down"></a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="intro-section" class="container-fluid">
        <div class="row">
            <div class="col-md-4 col-md-offset-4">
                <h2 class="header" th:text="#{main.intro.header}"></h2>
            </div>
        </div>
        <div class="row">
            <div class="col-md-3">
                <div class="preview-wrapper">
                    <img class="img-responsive" src="/images/mainpage/overview-profile.png"/>
                    <p th:text="#{main.intro.profile}"></p>
                </div>
            </div>
            <div class="col-md-3">
                <div class="preview-wrapper">
                    <img class="img-responsive" src="/images/mainpage/overview-academy.png"/>
                    <p th:text="#{main.intro.academy}"></p>
                </div>
            </div>
            <div class="col-md-3">
                <div class="preview-wrapper">
                    <img class="img-responsive" src="/images/mainpage/overview-academy-test.png"/>
                    <p th:text="#{main.intro.academy.test}"></p>
                </div>
            </div>
            <div class="col-md-3">
                <div class="preview-wrapper">
                    <img class="img-responsive" src="/images/mainpage/overview-profile-score.png"/>
                    <p th:text="#{main.intro.score}"></p>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-4 col-md-offset-4">
                <form action="/signin/facebook" method="POST">
                    <input type="hidden" name="scope" value="email"/>
                    <a href="#gotopage" class="button submit calltoaction">
                        <span th:text="#{main.button.trynow}"></span>
                    </a>
                </form>
            </div>
        </div>
    </div>

    <div id="academy-section" class="container-fluid">
        <div class="row">
            <div class="col-md-4 col-md-offset-4">
                <h2 class="header" th:text="#{main.academy.header}"></h2>
                <p class="center" th:text="#{main.academy.desc1}"></p>
                <p class="center" th:text="#{main.academy.desc2}"></p>
                <form action="/signin/facebook" method="POST">
                    <input type="hidden" name="scope" value="email"/>
                    <a href="#gotopage" class="button submit">
                        <span th:text="#{main.button.login}"></span>
                        <i class="fa fa-facebook-f"></i>
                    </a>
                </form>
            </div>
        </div>
    </div>

    <div id="skills-section" class="container-fluid">
        <div class="row">
            <div class="col-md-4 col-md-offset-4">
                <h2 class="header" th:text="#{main.skills.header1}"></h2>
            </div>
        </div>

        <div class="row">
            <div class="col-md-1"></div>
            <div class="col-md-2" th:each="category: ${T(tbt.app.domains.skill.Category).sortedValues}">
                <div class="skill" th:with="categoryName=${category.name().toLowerCase()}">
                    <h3 th:classappend="${categoryName}" class="rotate" th:text="#{${'category.' + categoryName}}"></h3>
                    <ul>
                        <li th:each="skill: ${mainMenuSkills.get(category)}"
                            th:text="#{${'skill.' + skill.code.toLowerCase()}}"></li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4 col-md-offset-4">
                <form action="/signin/facebook" method="POST">
                    <input type="hidden" name="scope" value="email"/>
                    <a href="#gotopage" class="button submit calltoaction">
                        <span th:text="#{main.button.taketest}"></span>
                    </a>
                </form>
            </div>
        </div>

        <div class="row">
            <div class="col-md-4 col-md-offset-4">
                <h2 class="header" th:utext="#{main.skills.header2}"></h2>
                <p class="center" th:utext="#{main.skills.desc}"></p>
            </div>
        </div>
    </div>

    <div id="footer-section" class="container-fluid">
        <div class="row nav">
            <div class="col-md-4">
                <a href="/contact" th:text="#{main.footer.contact}"></a>
                <div class="separator"></div>
            </div>
            <div class="col-md-4">
                <a href="/termsandconditions" th:text="#{main.footer.terms}"></a>
                <div class="separator"></div>
            </div>
            <div class="col-md-4">
                <a href="/faq" th:text="#{main.footer.faq}"></a>
                <div class="separator show-when-desktop"></div>
            </div>
        </div>

        <div class="row logo">
            <div class="col-md-4 col-md-offset-4">
                <img src="/images/logo-transparent-black.png"/>
            </div>
        </div>

        <div class="row">
            <div class="col-md-4 col-md-offset-4 copyright" th:utext="#{main.footer.copyrights}"></div>
        </div>
    </div>

</th:block>
</body>
</html>